Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.svg
Class FOPSAXSVGDocumentFactory

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.batik.dom.util.SAXDocumentFactory
              org.apache.batik.anim.dom.SAXSVGDocumentFactory
                  org.apache.fop.svg.FOPSAXSVGDocumentFactory

All Implemented Interfaces:
  org.apache.batik.dom.svg.SVGDocumentFactory, org.apache.batik.dom.util.DocumentFactory, org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.xml.sax.ext.LexicalHandler

    public class FOPSAXSVGDocumentFactory

extends org.apache.batik.anim.dom.SAXSVGDocumentFactory

This is a special subclass to allow setting a special EntityResolver.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.dom.util.SAXDocumentFactory
`org.apache.batik.dom.util.SAXDocumentFactory.PreInfo`

Field Summary

Fields inherited from class org.apache.batik.anim.dom.SAXSVGDocumentFactory
`dtdids, DTDIDS, dtdProps, HTTP_CHARSET, KEY_PUBLIC_IDS, KEY_SKIP_DTD, KEY_SKIPPABLE_PUBLIC_IDS, KEY_SYSTEM_ID, LOCK, skip_dtd, skippable_dtdids`

Fields inherited from class org.apache.batik.dom.util.SAXDocumentFactory
`createDocumentDescriptor, currentNode, doctype, document, documentDescriptor, errorHandler, implementation, inCDATA, inDTD, inProlog, isStandalone, isValidating, locator, namespaces, parser, parserClassName, preInfo, stringBuffer, stringContent, xmlVersion`

Constructor Summary
`FOPSAXSVGDocumentFactory(java.lang.String parser)` Creates a new DocumentFactory object.

Method Summary
`org.w3c.dom.Document` | `getDocument()` Returns the document built up by handling the incoming SAX events.
`org.xml.sax.InputSource` | `resolveEntity(java.lang.String publicId, java.lang.String systemId)`
`void` | `setAdditionalEntityResolver(org.xml.sax.EntityResolver resolver)` Sets an additional entity resolver.

Methods inherited from class org.apache.batik.anim.dom.SAXSVGDocumentFactory
`createDocument, createDocument, createDocument, createDocument, createDocument, createDocument, createSVGDocument, createSVGDocument, createSVGDocument, getDOMImplementation, startDocument`

Methods inherited from class org.apache.batik.dom.util.SAXDocumentFactory
`appendStringData, characters, comment, createDocument, createDocument, createDocument, endCDATA, endDTD, endElement, endEntity, error, fatalError, getDocumentDescriptor, ignorableWhitespace, isValidating, processingInstruction, setDocumentLocator, setErrorHandler, setValidating, startCDATA, startDTD, startElement, startEntity, warning`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endPrefixMapping, notationDecl, skippedEntity, startPrefixMapping, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.batik.dom.util.DocumentFactory
`createDocument, getDocumentDescriptor, isValidating, setValidating`

Constructor Detail

### FOPSAXSVGDocumentFactory

    public FOPSAXSVGDocumentFactory(java.lang.String parser)

  Creates a new DocumentFactory object.

  Parameters:
    `parser` - The SAX2 parser classname.

Method Detail

### setAdditionalEntityResolver

    public void setAdditionalEntityResolver(org.xml.sax.EntityResolver resolver)

  Sets an additional entity resolver. It will be used before the default entity resolving.

  Parameters:
    `resolver` - Additional resolver

### resolveEntity

    public org.xml.sax.InputSource resolveEntity(java.lang.String publicId,
                                                 java.lang.String systemId)
                                          throws org.xml.sax.SAXException

  Specified by:
    `resolveEntity` in interface `org.xml.sax.EntityResolver`
  Overrides:
    `resolveEntity` in class `org.apache.batik.anim.dom.SAXSVGDocumentFactory`
  Throws:
    `org.xml.sax.SAXException`

### getDocument

    public org.w3c.dom.Document getDocument()

  Returns the document built up by handling the incoming SAX events. This method will not return any instance for the first SAX events have been received.

  Returns:
    the DOM document

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.